cURL
curl --request DELETE \ --url https://api-qa.interactly.ai/integrations/v2/use-cases/{integration_use_case_id} \ --header 'Authorization: Bearer <token>'
{ "integration_use_case": { "teamId": "5eb7cf5a86d9755df3a6c593", "createdBy": "5eb7cf5a86d9755df3a6c593", "updatedBy": "5eb7cf5a86d9755df3a6c593", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "_id": "5eb7cf5a86d9755df3a6c593", "logicalId": "<string>", "integrationId": "5eb7cf5a86d9755df3a6c593", "schedulerNames": [ "<string>" ], "config": { "displayName": "<string>", "assistantId": "5eb7cf5a86d9755df3a6c593", "status": "active", "timezone": "<string>", "type": "appointment_reminder_with_sheet", "name": "New Patients Appointment Reminder", "sheetLink": "<string>", "actions": [ { "logicalId": "<string>", "templateName": "<string>", "communicationPreference": "call", "context": "<string>", "reportEmails": [ "<string>" ], "daysWindow": 7, "status": "active", "schedule": { "startDateTime": "2023-11-07T05:31:56Z", "endDateTime": "2023-11-07T05:31:56Z", "field": "oneTime", "triggerAt": "2023-11-07T05:31:56Z" } } ] } } }
Retrieve your API Key from Dashboard API Keys Section.
24
^[0-9a-f]{24}$
"5eb7cf5a86d9755df3a6c593"
Successful Response
Response model for a single integration use case. Contains a IntegrationsUseCasesModel object.
Single integration use case object
Show child attributes